# SMS sent

An action block that awaits an outgoing SMS.

The fiber will pause until an SMS has been sent.

Note! The Timestamp sent may not always be available, nor correct.

## Input arguments

- Phone number — only proceed when this phone number is the recipient of the outgoing message, default is any phone number.
- Subscription id — id of subscription (SIM) used to send message, default is any.

## Output variables

- Phone number — variable to assign the phone number of the recipient.
- Used subscription id — variable to assign the id of subscription (SIM) though which the SMS was sent (Not officially supported by Android).
- Message — variable to assign the message, if text based.
- Timestamp sent — variable to assign the unix timestamp when the message was sent, or `null` if unavailable.